Bug 1024363 - python-boto: Provide Python 3 subpackage
Summary: python-boto: Provide Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-boto
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1036755
Blocks: 1024357
TreeView+ depends on / blocked
 
Reported: 2013-10-29 14:07 UTC by Miro Hrončok
Modified: 2014-11-06 18:37 UTC (History)
4 users (show)

Fixed In Version: python-boto-2.32.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 04:24:13 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2013-10-29 14:07:29 UTC
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

https://fedoraproject.org/wiki/Changes/Python_3_as_Default

According to FESCo, we should firstly focus on the cloud image.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help us update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add the support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, say so and we can solve the problem together.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)

Comment 1 Miro Hrončok 2013-10-30 11:58:02 UTC
So there is a PY3 port in upstream repo in separate tag. The port should work with Python 2.6 and 2.7 as well.

https://github.com/boto/boto/issues/677

Comment 2 Fedora Admin XMLRPC Client 2013-12-28 02:45:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2014-01-06 23:10:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Garrett Holmstrom 2014-02-01 00:35:42 UTC
Once we add a python3-boto package we are stuck with it forever, so I really want to have full upstream support before going forward with this.  A periodically-updated side branch with no official releases does not instill a great deal of confidence.

Comment 5 Miro Hrončok 2014-08-01 00:13:58 UTC
http://boto.readthedocs.org/en/latest/releasenotes/v2.32.0.html

This release includes backward-compatible support for Python 3.3 and 3.4...

Comment 6 Miro Hrončok 2014-08-15 11:00:32 UTC
Garrett, may I try to generate python3 subpackage?

Comment 7 Garrett Holmstrom 2014-08-22 21:16:02 UTC
I just got it to build!  You can expect it in testing shortly.

Comment 8 Miro Hrončok 2014-08-22 21:25:45 UTC
Awesome!

Comment 9 Fedora Update System 2014-08-23 19:17:30 UTC
python-boto-2.32.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.32.1-1.fc20

Comment 10 Fedora Update System 2014-08-23 19:18:24 UTC
python-boto-2.32.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.32.1-1.fc19

Comment 11 Fedora Update System 2014-08-25 01:50:40 UTC
Package python-boto-2.32.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-boto-2.32.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9743/python-boto-2.32.1-1.fc19
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-10-01 04:20:52 UTC
python-boto-2.32.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-10-01 04:24:13 UTC
python-boto-2.32.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Colin Walters 2014-11-06 18:35:09 UTC
So...right now python-boto is the *only* thing pulling in Python3 for Fedora 21 cloud image.

Was it really necessary to ship this to all branches now, or can it wait for 22?

Comment 15 Orion Poplawski 2014-11-06 18:37:49 UTC
The python3 dep issue is bug #1152444


Note You need to log in before you can comment on or make changes to this bug.